Page MenuHomePhabricator

Request creation of ign2commons VPS project
Closed, ResolvedPublic

Description

Project Name: ign2commons

Wikitech Usernames of requestors: @aborrero, @abian

Purpose: See T195121 - Download, process and upload data from IGN to Wikimedia Commons

Brief description: A single virtual machine to transfer data from IGN to Wiki Commons, would require generous disk space, at least 200GB, and 500GB would be great.

How soon you are hoping this can be fulfilled: this week

The first batch is described here: T203010

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 29 2018, 10:27 AM
aborrero updated the task description. (Show Details)Aug 29 2018, 10:28 AM
Andrew added a subscriber: Andrew.Sep 4 2018, 3:36 PM

I'm reluctant to create big disks during the eqiad->eqiad1 transition; if y'all can wait a few weeks I'd like you to hold off until we have some hardware capacity in eqiad1 and then we can set you up there. Please ping me later in the month :)

I just created the project, so you can start doing test and some work. However, I didn't do anything special regarding the disk space, hopefully @Andrew can say better if we are ready for the disk space allocation or we have to wait a bit more.
Keeping the task open for now.

Mentioned in SAL (#wikimedia-cloud) [2018-10-18T09:02:05Z] <arturo> create project per T203072

aborrero triaged this task as Normal priority.Oct 18 2018, 9:03 AM

I can create a VM with a large disk allocation any time now. The default for requests like this would be a VM with 24Gb ram, a 300Gb disk and 4 cores. Will that work for you in the near-term?

Oh, also, what would you like the VM to be named?

aborrero reassigned this task from aborrero to bd808.Nov 2 2018, 11:24 AM
abian added a comment.Nov 2 2018, 11:27 AM

I can create a VM with a large disk allocation any time now. The default for requests like this would be a VM with 24Gb ram, a 300Gb disk and 4 cores. Will that work for you in the near-term?

Absolutely. Thanks!

Oh, also, what would you like the VM to be named?

What implications does this name have? It should be something short, like ign or ign-wmes, or something more descriptive?

bd808 reassigned this task from bd808 to Andrew.Nov 2 2018, 9:37 PM
bd808 added a subscriber: bd808.

Reassigning to @Andrew for manual VM creation per T203072#4681484 (mostly because I don't know where he wants to put it).

Andrew closed this task as Resolved.Nov 14 2018, 10:05 PM

Sorry for the delay in getting this done!

I've now created ign.ign2commons.eqiad.wmflabs -- it's running Debian Stretch and should have the specs described above. Note that most of the disk space is currently un-partitioned. If you want it all in one big volume I'd recommend applying the role::labs::lvm::srv puppet role -- that will get you one giant volume mounted under /srv.